Bug 62119 - FORMATTING: Crash when loading Line Styles
Summary: FORMATTING: Crash when loading Line Styles
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium critical
Assignee: David Tardon
URL:
Whiteboard: BSA target:4.1.0 target:4.2.0 target:...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-03-10 18:29 UTC by Laurent BP
Modified: 2013-11-19 19:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Config file for Ligne Styles (2.47 KB, text/xml)
2013-03-10 18:29 UTC, Laurent BP
Details
console + bt with symbols on master sources (13.58 KB, text/plain)
2013-03-16 16:31 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2013-03-10 18:29:21 UTC
Created attachment 76285 [details]
Config file for Ligne Styles

Problem description: 

Steps to reproduce:
1. create a config file for Line Style, or use attached one
2. Format > Line, tab Line Styles
3. Click Load button, and open a file

Current behavior:
=> Line Styles dropbox is empty

Expected behavior:
=> Line Styles dorpbox should contain line styles loaded

4. Click OK or Cancel
Current behavior:
=> Crash. Recovery of files at next start up.

Expected behavior:
=> Dialog box should close.

The bug detected with versions:
3.5.1.2, 3.5.7, 3.6.5, 4.0.1.2

The bug is NOT present in 3.4.6

              
Operating System: Windows 7
Version: 3.5.1 release
Last worked in: 3.4.6 release
Comment 1 Laurent BP 2013-03-10 18:43:04 UTC
Hi,

There is NO problem with loading Arrow Styles.

Laurent BP
Comment 2 Laurent BP 2013-03-10 18:44:32 UTC
Bug is similar in Impress, Writer, Calc.
Comment 3 pierre-yves samyn 2013-03-11 17:45:57 UTC
Hello

I confirm with windows 7 64bits &
Version 4.0.1.2 (Build ID: 84102822e3d61eb989ddd325abf1ac077904985)

Regards
Pierre-Yves
Comment 4 Laurent BP 2013-03-11 19:40:12 UTC
Confirmed with Version 4.1.0.0.alpha0+ (Build ID: 09fa9ff842544f68f874e5b505b3e797c376715)
Comment 5 Julien Nabet 2013-03-16 16:31:33 UTC
Created attachment 76612 [details]
console + bt with symbols on master sources

On pc Debian x86-64 with master sources updated today, I reproduced the crash.

I attached console and bt
Comment 6 Julien Nabet 2013-03-16 16:35:31 UTC
Thorsten/Radke: one for you? (I didn't find any Draw expert reference on https://wiki.documentfoundation.org/FindTheExpert but thought that Impress was the most "close")
Comment 7 Commit Notification 2013-03-18 10:13:52 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b32c31cc9c1dc11251196a4bfbba7d8848581d43

Fix crash in fdo#62119



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 pierre-yves samyn 2013-06-15 05:37:49 UTC
Hello

Still reproduced on windows 7 64bits with
Version: 4.1.0.0.beta2+
Build ID: 509fa206b0f612d61740632c59351b69bbcfcad
TinderBox: Win-x86_9-Voreppe, Branch:libreoffice-4-1, Time: 2013-06-13_12:35:41


Steps to reproduce (slightly different)

1. File> New> Drawing
2. Draw a line
3. Format> Line, tab Line styles
4. Load and open a file

Current behavior:
=> Line Styles dropbox is empty

Expected behavior:
=> Line Styles dropbox should contain line styles loaded

5. Click OK or Cancel
Current behavior:
=> No Crash

Now the same with Writer
1. File> New> Text
2. Draw a line
3. Format> Object> Line (or right click), tab Line styles
4. Load and open a file

Current behavior:
=> Line Styles dropbox is empty

Expected behavior:
=> Line Styles dropbox should contain line styles loaded

4. Click OK or Cancel
5. Un-select the line (click elsewhere)
6. Select the line

=> Crash - Recovery of files at next start up.

Regards
Pierre-Yves
Comment 9 Commit Notification 2013-06-25 14:23:32 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a62a5c34a46715cb9d13c60f8423526c0625d1e

fdo#62119 fix copypasta



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-06-25 17:20:40 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8383aad8191c96282985d05216e4c9627bef8e8e&h=libreoffice-4-1

fdo#62119 fix copypasta


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-06-25 17:20:58 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=938d2506d64bf995897be0c8f5b5ea50fac81302&h=libreoffice-4-0

fdo#62119 fix copypasta


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 pierre-yves samyn 2013-07-13 10:51:58 UTC
Hello

WORKSFORME on windows 7 64bits &
Version: 4.1.0.2.0
Build ID: 103a942746cfe346e87daab62acbd4268c38097

Thank you
Regards
Pierre-Yves